package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationFile;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationTable;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationTablecolumn;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.Desensitizationsource;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.Desensitizationtarget;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.Desensitizationtask;
import com.chenyang.nse.bussiness.thread.ExecuteParam;
import java.util.List;
import java.util.Map;

public interface DmpDesensitizationService {
   List<Desensitizationtask> queryTask(String taskname, PageInfo pageInfo);

   void updateTask(Desensitizationtask desensitizationtask);

   String gettaskBytasknamereal(String tasknamereal);

   Desensitizationtask savetask_info(String tasknamereal, Map<String, Object> map);

   boolean generate_xml(Map map) throws Exception;

   Desensitizationsource querySourceInfo(String taskid);

   Desensitizationtarget queryTargetInfo(String taskid);

   List<DesensitizationTable> queryTableList(String taskid);

   DesensitizationTable queryTableByTableName(String taskid, String tableName);

   Desensitizationtask queryTaskById(String taskid);

   void removeTask(String taskid);

   Desensitizationtarget queryTargetById(String taskid);

   InfoProperty getInfoProperty();

   List<Desensitizationtask> queryTaskList(String taskid);

   void executeDB_pwc_FILE_batchwrite_DB(ExecuteParam executeParam) throws Exception;

   void executeFILE_pwc_FILE_batchwrite_DB(ExecuteParam executeParam) throws Exception;

   void executeDB_batchread_FILE_pwc_FILE_batchwrite_DB(ExecuteParam executeParam) throws Exception;

   void executeDB_batchread_FILE_pwc_FILE(ExecuteParam executeParam) throws Exception;

   void executeDB_batchread_FILE_pwc_DB(ExecuteParam executeParam) throws Exception;

   void executeTask(ExecuteParam executeParam) throws Exception;

   void executeTaskNormal(ExecuteParam executeParam) throws Exception;

   List<Desensitizationtask> queryTaskAll();

   long getExeTaskNum();

   long getTableNum(String taskid);

   int saveDesensitizationMonitor(StringBuilder sql);

   long getTableNumByAll(String sql);

   DesensitizationFile queryDesensitizationfileBytaskid(String taskid);

   List<DesensitizationTablecolumn> queryColumInfo(String taskid, String table);

   List<Desensitizationtask> queryTaskByPage(PageInfo pageInfo);
}
